import { Body, Controller, Get, Header, Post, RawBody, RawBodyRequest, Req, StreamableFile } from '@nestjs/common';
import { AppService } from './app.service';
import { ExportToDocxDto } from './export-to-docx.dto';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService) {}

  @Post('docx')
  @Header('Content-Disposition', `attachment; filename="docx.docx"`)
  async getDocx(@Body() exportToDocxDto: ExportToDocxDto): Promise<StreamableFile> {
    const data = await this.appService.getDocx(exportToDocxDto.htmlData);
    return new StreamableFile(data);
  }
}
